#
# spec file for package xbacklight
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xbacklight
Version:        1.2.3
Release:        3.2
Summary:        Utility to adjust the screen backlight brightness
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE xcb-util-0_3_6.diff
Patch0:         xcb-util-0_3_6.diff
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrandr) >= 1.2.0
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
%if 0%{?suse_version} > 1210
BuildRequires:  pkgconfig(xcb-util)
%else
BuildRequires:  xcb-util-0_3_6-devel
%endif

%description
Xbacklight is used to adjust the backlight brightness where supported.
It uses the RandR extension to find all outputs on the X server
supporting backlight brightness control and changes them all in the
same way.

%prep
%setup -q
%if 0%{?suse_version} < 1220
%patch -P 0
%endif

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc README.md
%{_bindir}/xbacklight
%{_mandir}/man1/xbacklight.1%{?ext_man}

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Thu Aug 11 2022 Dirk Müller <dmueller@suse.com>
- modernize spec-file, move license to %%%%licensedir
* Mon Jul 15 2019 Stefan Dirsch <sndirsch@suse.com>
- update to 1.2.3
  * atof_or_die: Also die if nothing was converted
  * exit if conv. from string to double fails
  * Properly round the new brightness value
  * Update configure.ac bug URL for gitlab migration
  * Update README for gitlab migration
* Wed Apr  4 2018 sndirsch@suse.com
- update to 1.2.2
  * Print which option was in error along with usage message
  * Add -version option to print program version
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * Use double instead of int for value
  * Use current output configuration
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Oct 25 2013 sndirsch@suse.com
- update to 1.2.1
  * config: Add missing AC_CONFIG_SRCDIR
  * Combine usage message strings
  * Fix reading backlight level on 64-bit systems (bug 63205)
  * man: replace hyphens with minus signs
* Thu Sep 13 2012 sndirsch@suse.com
- xcb-util-0_3_6.diff
  * fixes build for openSUSE <= 12.1
* Wed Sep 12 2012 tobias.johannes.klausmann@mni.thm.de
- Update to 1.2.0:
  + Port xbacklight to XCB
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xbacklight from xorg-x11. Initial version: 1.1.2.
